[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TIntegerField

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Alias for TLongintField

## Declaration

Source position: db.pas line 562

`type TIntegerField = class(TLongintField) ;`

## Inheritance

`TIntegerField` |  | Alias for TLongintField
`TLongintField` |  | Field class for 32-bit signed integer data
`TNumericField` |  | Base class for all numerical data field classe
`TField` |  | Provide access to the contents of a single field in a record
`TComponent,IUnknown,IInterfaceComponentReference`
`TPersistent,IFPObserved`
`TObject`

## Description

TIntegerField is an alias for TLongintField.

## See also

TLongintField |  | Field class for 32-bit signed integer data
TField |  | Provide access to the contents of a single field in a record

Documentation generated on: Feb 26 2014